#!/usr/bin/python
#####   Full sprite/tileset editor   #########################################
### Riley Ellis, 22 October 2009
#	- Based upon sEdit.py [Tile(set) editor v5.3]
#	- More info can be found in there
#
## Notes:
#	- Front-end stuff for the editor
#	- ID= FSE,2
##############################################################################

##  Releases of Tile editor:
#	-[30 December 2009] Demo version, single tiles only

from Subfiles.sEdit import sEditor, Tile
from Subfiles.sEdit_input import get_size


###  Single Tile Editor  #####################################################
class TileEdit(sEditor):
	def __init__(self, width, height, data = None, **args):
		# width, height, args are explained in sEdit.py
		# data = initial data to use
		(width, height) = get_size(None, 8, 8)

		self.cur_tile = Tile(width, height, data)
		sEditor.__init__(self, width, height, **args)


###  Tileset Editor  #########################################################
class TilesetEdit(sEditor):
	pass


test = TileEdit(8, 9)	# initial width/height is useless (for now)
test.run()




